Cyberduck Mountain Duck CLI

#2889 closed enhancement (fixed)

Large transfer history causes slowdown

Reported by: jb007nd Owned by: dkocher
Priority: normal Milestone: 4.0
Component: core Version: 3.1.1
Severity: normal Keywords: slow crash transfers
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

I was experiencing extremely slow response from cyberduck on leopard (mac intel).

Found out it was the transfers log causing the problem. it needs to be cleared and it now works normally.

-cyberduck user

Change History (12)

comment:1 Changed on Mar 20, 2009 at 8:32:00 PM by dkocher

  • Summary changed from extremely slow cyberduck to Large transfer history causes slowdown
  • Type changed from defect to enhancement

comment:2 Changed on May 4, 2010 at 3:42:29 PM by arne.schmitz@…

Yes, I second this. It becomes *extremely* slow. Basically it will crawl to a halt, taking about 30 seconds to react to one mouse click. Clearing the history fixes this. "Enhancement" is a euphemism by the way... :)

comment:3 Changed on Jun 15, 2010 at 11:20:07 AM by dkocher

  • Architecture set to Intel
  • Milestone set to 3.6
  • Platform set to Mac OS X 10.6
  • Status changed from new to assigned

comment:4 Changed on Aug 5, 2010 at 7:24:04 PM by dkocher

  • Milestone changed from 3.6 to 4.0

comment:5 Changed on Oct 8, 2010 at 3:37:40 PM by dkocher

  • Milestone changed from 4.0 to 3.7
  • Resolution set to fixed
  • Status changed from assigned to closed

In r7266. Load transfers in background.

comment:6 Changed on Oct 18, 2010 at 9:04:18 AM by dkocher

#5181 closed as duplicate.

comment:7 Changed on Oct 27, 2010 at 4:29:52 PM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:8 Changed on Oct 27, 2010 at 4:30:48 PM by dkocher

  • Milestone changed from 3.7 to 4.0

comment:9 Changed on Oct 27, 2010 at 4:31:34 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r7415.

comment:10 Changed on Dec 8, 2010 at 11:34:51 AM by dkocher

  • Milestone changed from 3.8 to 4.0
  • Resolution fixed deleted
  • Status changed from closed to reopened

Will do some more optimizations.

comment:11 Changed on Dec 8, 2010 at 11:40:35 AM by dkocher

More work in r7970.

comment:12 Changed on Dec 8, 2010 at 12:34:52 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Changes in r7972 should resolve this. Note that we have also introduced a spinning wheel while loading the transfer list in the background in r7837.

Note: See TracTickets for help on using tickets.
swiss made software